Page MenuHomePhabricator

[Extension:MultiMaps] adding support for multiple URLs in Leaflet
Closed, ResolvedPublic

Description

As a person employing this extension, I would like to offer the wiki users a list of mapping services they can choose from. Currently, there are only three predefined options available which are tightly linked to the display technology of the map. I would like to add a list of services which all use the Leaflet frame provided by this extension.
An example list could look like

$listOfLeafletServices = [
  ("Service_A", "a.example.com/..."),
  ("Service_B", "b.example.com/..."),
]

And the user would supply the following wiki code:

{{#multimaps: 10,10|service=Service_A}}

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 11:36 PM

If no one steps up, can I just start with this task or do I need an approval?

Thanks for the assistance.
I just wanted to assure that nobody objects to the addition of this feature from the start already.

Ah. :) In that case you'll probably need to wait for maintainers to reply. Not sure how active @Pastakhov is these days.

Is no reaction a good or a bad sign in this case?

Change 494860 had a related patch set uploaded (by Tigerfell; owner: Tigerfell):
[mediawiki/extensions/MultiMaps@master] Extension MultiMaps: Adding support for multiple URL in Leaflet

https://gerrit.wikimedia.org/r/494860

FellTiger = Tigerfell (sorry for the confusion)

@Pastakhov @Aklapper Is there anything I can to to get this change approved?

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 14 2019, 10:37 AM

If @Pastakhov does not answer, maybe request to become the maintainer if you're interested? :-/

Dinoguy1000 renamed this task from MW MultiMaps extension: adding support for multiple URLs in Leaflet to [Extension:MultiMaps] adding support for multiple URLs in Leaflet.Mar 16 2019, 4:53 AM

Change 494860 had a related patch set uploaded (by Pastakhov; owner: Tigerfell):
[mediawiki/extensions/MultiMaps@master] Extension MultiMaps: Adding support for multiple URL in Leaflet

https://gerrit.wikimedia.org/r/494860

Change 494860 merged by Pastakhov:
[mediawiki/extensions/MultiMaps@master] Extension MultiMaps: Adding support for multiple URL in Leaflet

https://gerrit.wikimedia.org/r/494860

FellTiger closed this task as Resolved.Jun 15 2019, 10:09 AM
FellTiger added a subscriber: thiemowmde.

Change 519538 had a related patch set uploaded (by Pastakhov; owner: Tigerfell):
[mediawiki/extensions/MultiMaps@REL1_33] Extension MultiMaps: Adding support for multiple URL in Leaflet

https://gerrit.wikimedia.org/r/519538

Change 519539 had a related patch set uploaded (by Pastakhov; owner: Tigerfell):
[mediawiki/extensions/MultiMaps@REL1_32] Extension MultiMaps: Adding support for multiple URL in Leaflet

https://gerrit.wikimedia.org/r/519539